<?php
if (!class_exists('System')) exit; // Запрет прямого доступа

$page->headhtml.='
<link rel="stylesheet" href="/modules/yandex_easy_pay/img_js_css/style.css">
<script type="text/javascript" src="/modules/yandex_easy_pay/img_js_css/jloader.js"></script>
';

if(!function_exists('Get_YPay'))
{
	 
 function Get_YPay($y_sum, $y_name = '') 
 {
   global $Page, $Config;
   
   require('modules/yandex_easy_pay/cfg.dat');
   
   $y_order = mt_rand(10000, 99999).time().mt_rand(10000, 99999); // номер заказа
   if ($y_name == '' ) { $y_name = $Page->name; } // товар/услуга/id
   $y_targets = 'Заказ № '.$y_order.' - '.$y_name; // назначение платежа
   
   $y_label = $y_order.'|'.$y_sum.'|'.$Config->adminEmail.'|'.$y_name; // данные (номер заказа, товар/услуга/id, цена, e-mail администратора в настройках движка)
    
   $return = '';
   
   //action="https://money.yandex.ru/quickpay/confirm.xml"
   
   $return.=
   '
	<div class="wrapper_y_pay">
	<form target="'.$y_runform.'" name="ya_pay_form_'.$y_order.'" method="POST" action="https://money.yandex.ru/quickpay/confirm.xml" onsubmit="add_ya_pay_'.$y_order.'();">    
	
	<input type="hidden" name="quickpay-form" value="donate">
	<input type="hidden" name="receiver" value="'.$y_account.'">    
	<input type="hidden" name="targets" value="'.$y_targets.'">
	<input type="hidden" name="sum" value="'.$y_sum.'" data-type="number">
	<input type="hidden" name="successURL" value="'.$y_successURL.'">
	<input type="hidden" name="label" value="'.$y_label.'">

	<p>
	Заказ №: <b>'.$y_order.'</b><br>
	Товар/услуга: <b>'.$y_name.'</b><br>
	Цена: <b>'.$y_sum.' руб</b><br>

	<span>
	<label><input type="radio" name="paymentType" value="PC" checked class="radio_y_pay"> Яндекс.Деньги</label>
	<label><input type="radio" name="paymentType" value="AC" class="radio_y_pay"> Банковская карта</label>
	</span>

	Контактные данные
	<textarea name="y_contact" title="Пожалуйста, напишите как с Вами связаться (не более 200 символов)" placeholder="Пожалуйста, напишите как с Вами связаться (не более 200 символов)" rows="3" cols="10" maxlength="200" required></textarea>
	</p>
	
	<div class="checkbox_y_pay">
	<input id="checkbox_y_pay_'.$y_order.'" type="checkbox" name="checkbox_y_pay" onchange="document.getElementById(\'y_submit_'.$y_order.'\').disabled = !this.checked;">
	<label for="checkbox_y_pay_'.$y_order.'">Cогласен на обработку персональных данных</label><br>
	<p><input id="y_submit_'.$y_order.'" name="y_submit" type="submit" disabled="disabled" value="Оплатить"><p>	
	</div>
	
	</form>
	</div>
	
	<script>
	// Функция обработки нажатия кнопки 
	function add_ya_pay_'.$y_order.'()
	 {
		// Блокируем кнопку	
		document.getElementById("y_submit_'.$y_order.'").disabled = true;
	
		// Получаем данные из формы 
		var y_formData_'.$y_order.' = new FormData(document.ya_pay_form_'.$y_order.');

		// Отправляем запрос с данными из формы
		JLoader.request(\'/modules/yandex_easy_pay/handler.php\', {
			data: y_formData_'.$y_order.' // Данные
		});
    
		// Возвращаем false для отмены перезагрузки страницы
		return false;
	 }
	</script>
	';
   
   PRINT $return; 
   
 }
   

}


RETURN Null;

?>